Name:           idutils
Version:        4.5
Release:        1
Summary:        A simple, fast, high-capacity, language-independent identifier database tool

Group:          Development/Tools
License:        GPLv3+
URL:            http://www.gnu.org/software/idutils/
Source0:        http://ftp.gnu.org/gnu/idutils/%{name}-%{version}.tar.gz
Source1:        http://ftp.gnu.org/gnu/idutils/%{name}-%{version}.tar.gz.sig
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build

BuildRequires:  gettext
Requires:       gettext, /sbin/install-info, info

%description
'mkid' is a simple, fast, high-capacity, language-independent
identifier database tool.  Actually, the term 'identifier' is too
limiting--'mkid' stores tokens, be they program identifiers of any
form, literal numbers, or words of human-readable text.  Database
queries can be issued from the command-line, or from within emacs,
serving as an augmented tags facility.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README* THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/%{name}.info*
%{_datadir}/id-lang.map
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Mon Jun 21 2010 Michael Perzl <michael@perzl.org> - 4.5-1
- first version for AIX V5.1 and higher
